require "threequarks/version"
require "threequarks/engine"

module Threequarks

  # clock body
  NoBody         = 0
  SmallWhiteBody = 1
  RoundBody      = 2
  RoundGreenBody = 3
  SquareBody     = 4

  # stroke dial
  NoDial               = 0
  GermanHourStrokeDial = 1
  GermanStrokeDial     = 2
  AustriaStrokeDial    = 3
  SwissStrokeDial      = 4

  #clock hour hand
  PointedHourHand = 1
  BarHourHand     = 2
  SwissHourHand   = 3

  #clock minute hand
  PointedMinuteHand = 1
  BarMinuteHand     = 2
  SwissMinuteHand   = 3

  #clock second hand
  NoSecondHand            = 0
  BarSecondHand           = 1
  HoleShapedSecondHand    = 2
  NewHoleShapedSecondHand = 3
  SwissSecondHand         = 4

  # clock boss
  NoBoss    = 0
  BlackBoss = 1
  RedBoss   = 2

  # minute hand behavior
  CreepingMinuteHand        = 0
  BouncingMinuteHand        = 1
  ElasticBouncingMinuteHand = 2

  # second hand behavior
  CreepingSecondHand        = 0
  BouncingSecondHand        = 1
  ElasticBouncingSecondHand = 2
  OverhastySecondHand       = 3
  
end
